## net.i2p.util
Class ReusableGZIPInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.util.zip.InflaterInputStream
                  net.i2p.util.ResettableGZIPInputStream
                      net.i2p.util.ReusableGZIPInputStream

All Implemented Interfaces:
  Closeable

    public class ReusableGZIPInputStream

extends ResettableGZIPInputStream

Provide a cache of reusable GZIP streams, each handling up to 32KB without expansion.

Field Summary

Fields inherited from class java.util.zip.InflaterInputStream
`buf, inf, len`

Fields inherited from class java.io.FilterInputStream
`in`

Method Summary
`static ReusableGZIPInputStream` `acquire()` Pull a cached instance
`static void` `release(ReusableGZIPInputStream released)` Release an instance back into the cache (this will reset the state)

Methods inherited from class net.i2p.util.ResettableGZIPInputStream
`getCurrentCRCVal, initialize, read, read, read, verifyFooter`

Methods inherited from class java.util.zip.InflaterInputStream
`available, close, fill, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acquire

    public static ReusableGZIPInputStream acquire()

  Pull a cached instance

### release

    public static void release(ReusableGZIPInputStream released)

  Release an instance back into the cache (this will reset the state)